## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-nh3
Version:        0.2.21
Release:        %autorelease
Summary:        Python binding to Ammonia HTML sanitizer Rust crate
License:        MIT
URL:            https://github.com/messense/nh3
Source:         %{pypi_source nh3}

# Omit the generate-import-lib feature of the pyo3 dependency, since it is
# specific to Windows, and we do not package it.
#
# Update pyo3 dependency from 0.23 to 0.25
#
# Bump pyo3 from 0.24.2 to 0.25.0
# https://github.com/messense/nh3/pull/84
# Bump pyo3 from 0.25.0 to 0.25.1
# https://github.com/messense/nh3/pull/86
Patch:          python-nh3-0.2.21-pyo3.patch

BuildRequires:  cargo-rpm-macros
BuildRequires:  python3-devel

# For tests
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Python binding to Ammonia HTML sanitizer Rust crate.}

%description %_description

%package -n python3-nh3
Summary:        %{summary}
# Rust crates compiled into the executable contribute additional license terms.
# Full license breakdown in LICENSES.dependencies. To obtain the following
# list of licenses, build the package and note the output of
# %%{cargo_license_summary}.
#
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unicode-3.0
License:        %{license} AND (Apache-2.0 OR MIT) AND Unicode-3.0

%description -n python3-nh3 %_description


%prep
%autosetup -p1 -n nh3-%{version}

%cargo_prep


%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires


%build
export RUSTFLAGS='%{build_rustflags}'
%cargo_license_summary
%{cargo_license} > LICENSES.dependencies
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l nh3


%check
%pytest -vv


%files -n python3-nh3 -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Jun 22 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.21-5
- Update PyO3 dependency to 0.25.1

* Sun Jun 22 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.21-4
- Update License for current Rust dependencies

* Sat Jun 21 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.21-3
- Do not install duplicate license files

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.2.21-2
- Rebuilt for Python 3.14

* Sun Mar 16 2025 Mattia Verga <mattia.verga@proton.me> - 0.2.21-1
- Update to 0.2.21 (fedora#2347531)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 23 2024 Mattia Verga <mattia.verga@proton.me> - 0.2.20-1
- Update to 0.2.20 (fedora#2332810)

* Sat Dec 14 2024 Mattia Verga <mattia.verga@proton.me> - 0.2.19-1
- Update to 0.2.19 (fedora#2329441)

* Wed Oct 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.18-3
- Revert "Fix automatic provides on Python extension due to SONAME"
- The fix is in rust-1.81.0-4 and later, which is now in all stable
  branches, so this workaround is no longer necessary.

* Fri Sep 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.18-2
- Fix automatic provides on Python extension due to SONAME

* Fri Sep 27 2024 Mattia Verga <mattia.verga@proton.me> - 0.2.18-1
- Update to 0.2.18 (fedora#2271589)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.2.15-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 28 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.15-1
- Update to 0.2.15 (fedora#2253477)

* Sat Oct 21 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.14-1
- Initial release (fedora#2244877)
## END: Generated by rpmautospec
